#!/usr/bin/env zsh
# Use Alt+Up to go one directory upwards

function go_dir_up() {
    cd .. || return 1
}

function zle_go_dir_up() {
    zle .kill-buffer
    go_dir_up
    zle .accept-line
}

zle -N zle_go_dir_up

# Alt+Up
bindkey "^[[1;3A" zle_go_dir_up
